# UpdateCampaignIcon

> Update a campaign's icon and icon colour. Write access, campaigns toolset, MCP tool update_campaign_icon. Part of the MISSIN public API: call it with an API…

**Access:** [Write](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `body` | `JSON!` | yes | Object, fields below |  |
| `campaignId` | `UUID!` | yes |  |  |

## Input types

### `body`

| Field | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `campaign_type_id` | string (uuid) | no |  |  |
| `name` | string | no | 1 to 120 characters |  |
| `start_date` | any | no |  |  |
| `end_date` | any or null | no |  |  |
| `status` | string | no | One of `ACTIVE`, `DRAFT`, `ARCHIVED`, `PAUSED`, `ENDED`, `COMPLETED` |  |
| `allocated_budget` | number or null | no | 0 to 1000000000 |  |
| `utm_campaign` | string or null | no | at most 120 characters |  |
| `utm_term` | string or null | no | at most 120 characters |  |
| `icon` | string or null | no | One of `megaphone`, `sparkles`, `rocket`, `flag`, `star`, `heart`, `bell`, `party-popper`, `gift`, `tag`, `ticket`, `percent`, `badge-percent`, `shopping-bag`, `shopping-cart`, `package`, `truck`, `store`, `sun`, `snowflake`, `leaf`, `flower`, `sprout`, `umbrella`, `moon`, `tree-pine`, `egg`, `ghost`, `cake`, `trophy`, `crown`, `gem`, `award`, `medal`, `calendar`, `calendar-heart`, `camera`, `video`, `clapperboard`, `music`, `mic`, `palette`, `shirt`, `watch`, `globe`, `map-pin`, `plane`, `users`, `handshake`, `target`, `trending-up`, `zap`, `flame`, `coffee`, `dumbbell`, `gamepad-2` |  |
| `icon_color` | string or null | no | One of `default`, `gray`, `brown`, `orange`, `yellow`, `green`, `blue`, `purple`, `pink`, `red` |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"UpdateCampaignIcon","variables":{"body":{"icon":"sparkles","icon_color":"blue"},"campaignId":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"0450e1697f560e4c588212c451c1e9c048361f57f94d79481610321d83cb975d"}}}'
```

## Document

```graphql
mutation UpdateCampaignIcon($body: JSON!, $campaignId: UUID!) { __typename updateCampaign(input: {campaignId: $campaignId, body: $body}) { __typename campaign { __typename icon iconColor id rowId } userErrors { __typename code field message } } }
```

Source: https://developer.missin.co.uk/reference/campaigns/update-campaign-icon
